EDIT - feature request #9561

In name and taxon search if titleCache is protected the search should run on titleCache also
03/26/2021 12:06 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

... otherwise users may think the name does not exist yet if the nameCache is not filled correctly.
Currently names with empty nameCache can only be found in bulk editor.

The implementation may work in TaxEditor and dataportal as they seem to use the same base method.

Related issues:
Related to EDIT - feature request #9575: Allow flag to include authors in tax... Closed

Associated revisions

Revision 9bf89673 - 03/26/2021 12:07 PM - Andreas Miiller

fix #9561 fix search searches on titleCache also if titteCache is protected

Revision 571eb9f1 - 03/29/2021 06:45 PM - Andreas Miiller
fix #9561 make protectedTitleCache search a search with MatchMode.Beginning OR Anywhere

History

#1 - 03/26/2021 12:08 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|9bf89673c622c6823cefe921429b1f2438dc3c0a.

#2 - 03/26/2021 01:54 PM - Andreas Miuller

- Assignee changed from Andreas Muiller to Katja Luther

Please review

#3 - 03/29/2021 10:39 AM - Katja Luther
- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Andreas Miiller

It works as expected, but searching without authors for a titlecache with authors does not match. Maybe we should add "' for the titleCache search?

#4 - 03/29/2021 10:50 AM - Andreas Miiller

Yes, | also thought about this but did not implement it such as | did not want to have all the subspecies in the result. But this will not really be the case
if we enlarge the search only for protected title cache and therefore only those subspecies will be shown which do also have a protected title cache.
| will adapt the search this way.

#5 - 03/29/2021 06:45 PM - Andreas Miiller

- Status changed from Feedback to Resolved

Applied in changeset cdmlib|571eb9f1582883152db414442c0f878d7925280b.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/9bf89673c622c6823cefe921429b1f2438dc3c0a
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/571eb9f1582883152db414442c0f878d7925280b

#6 - 03/29/2021 06:49 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

| adapted the search. Can you please test again. | havn't tested yet in TaxEditor, only in test class (see code).

#7 - 03/31/2021 10:55 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Mdiller
works now as expected.

#8 - 03/31/2021 10:55 AM - Katja Luther
- % Done changed from 50 to 100

#9 - 03/31/2021 12:17 PM - Andreas Miller

- Related to feature request #9575: Allow flag to include authors in taxon and name search in TaxEditor added
#10 - 03/31/2021 12:22 PM - Andreas Miiller

- Subject changed from In name and taxon search if titleCache is protected the search should run an titteCache also to In name and taxon search if
titteCache is protected the search should run on titleCache also

04/23/2024 22


http://www.tcpdf.org

